// pages/leaveadd/leaveadd.js
const app = getApp();
const { axios } = app.globalData;
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.lxd.Ctr({
      // nav
      title: "新增", //标题
      back: true,//返回按钮，tabber必须false（除非会改）
    });
  },
  // 挑选地址
  ChooseAddress () {
    wx.navigateTo({
      url: `/pages/adddata/adddata?data=${JSON.stringify({ source: 'leaveadd' })}`,
    })
  },
  // 选择日期
  choosedata (e) {
    let { datas } = this.data, { index } = e.currentTarget.dataset;
    datas[index][2] = !datas[index][2] ? true : false;
    this.setData({ datas })
  },
  // 选择类别
  choosetype (e) {
    let { type } = this.data, { index } = e.currentTarget.dataset;
    type[index]["lock"] = !type[index]["lock"] ? true : false;
    this.setData({ type });
  },
  // 提交
  submit () {
    let { useraddress, datas, type } = this.data;
    if (!useraddress.id) {
      wx.showToast({
        title: '请选择学生',
        icon: "error"
      })
      return false;
    }
    let arr = [], brr = [];
    datas.forEach(item => {
      item[2] ? arr.push(item[0]) : '';
    })
    if (arr.length <= 0) {
      wx.showToast({
        title: '请选择请假日期',
        icon: "error"
      })
      return false;
    }
    type.forEach(item => {
      item['lock'] ? brr.push(item["id"]) : '';
    })
    if (brr.length <= 0) {
      wx.showToast({
        title: '请选择请假内容',
        icon: "error"
      })
      return false;
    }
    console.log(arr)
    axios({
      url: '/order/student_leave/',
      method: 'post',
      data: {
        student: useraddress.id,
        leave_dates: JSON.stringify(arr),
        order_ids: JSON.stringify(brr)
      },
      success (res) {
        wx.navigateBack({
          delta: 1, // 回退前 delta(默认为1) 页面
        })
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let { useraddress } = app.globalData, datas = [], type = [], that = this;
    if (!useraddress.id) {
      useraddress["name"] = "请挑选学生"
    } else {
      axios({
        url: `/order/student_leave/get_info/?student=${useraddress.id}`,
        method: "get",
        success (res) {
          let { data } = res.data, { lead_dates, orders } = data;
          type = orders;
          datas = lead_dates.map(item => {
            item = item.replace(/\(/, '？');
            item = item.replace(/\)/, '？');
            item = item.split("？").splice(0, 2);
            return item;
          })
          console.log(type)
          that.setData({ datas, type })
        }
      })
    }
    this.setData({ useraddress })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})