// pages/order/order.js
const app = getApp()
const { axios } = app.globalData;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    active: 0,
    orderlist: [[], [], [], []],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.lxd.Ctr({
      // nav
      title: "我的订单", //标题
    })
  },
  // tabs 切换
  tabs (e) {
    let { index: active } = e.detail;
    this.setData({
      active
    })
    this.orderRequest();
  },
  // 请求数据
  orderlist: [{
    totalPage: 1,
    currentPage: 1,
  }, {
    totalPage: 1,
    currentPage: 1,
  }, {
    totalPage: 1,
    currentPage: 1,
  }, {
    totalPage: 1,
    currentPage: 1,
  }],
  orderRequest () {
    let { active, orderlist } = this.data,
      status = active == 0 ? '' : active, that = this;
    if (this.orderlist[active]["totalPage"] < this.orderlist[active]["currentPage"]) return false;
    axios({
      url: "/order/",
      method: 'get',
      data: {
        status,
        limit: 10,
        page: that.orderlist[active]["currentPage"]
      },
      success (res) {
        let { totalPage, data } = res.data;
        orderlist[active] = [...orderlist[active], ...data];
        that.setData({ orderlist });
        console.log(orderlist)
        that.orderlist[active]["totalPage"] = totalPage;
        that.orderlist[active]["currentPage"]++;
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.orderRequest()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    let { active } = this.data;
    this.orderlist[active]["totalPage"] = 1;
    this.orderlist[active]["currentPage"] = 1;
    this.setData({
      orderlist: [[], [], [], []],
    })
    this.orderRequest()
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    this.orderRequest()
  },
})